com.amazon.redshift.gss

## Class MakeGSS

- java.lang.Object
- - com.amazon.redshift.gss.MakeGSS

    public class MakeGSS
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MakeGSS()`

### Method Summary

Methods
`static void` `authenticate(RedshiftStream pgStream, String host, String user, String password, String jaasApplicationName, String kerberosServerName, boolean useSpnego, boolean jaasLogin, boolean logServerErrorDetail, RedshiftLogger logger)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MakeGSS

    public MakeGSS()

### Method Detail

#### authenticate

    public static void authenticate(RedshiftStream pgStream,
                    String host,
                    String user,
                    String password,
                    String jaasApplicationName,
                    String kerberosServerName,
                    boolean useSpnego,
                    boolean jaasLogin,
                    boolean logServerErrorDetail,
                    RedshiftLogger logger)
                             throws IOException,
                                    SQLException

Throws:
  `IOException`
  `SQLException`